[Numpy-discussion] segmentation fault when installing with pip and python2.7

celil celil.kj@gmail....
Thu Jul 22 22:46:34 CDT 2010


Hello,

I just installed numpy on Snow Leopard using pip. However, running the 
tests results in a segmentation fault. Has anybody else encountered this 
problem? How did you solve it?

The sequence of commands that reproduce the bug is:

     $ pip install numpy
     $ python -c "import numpy; numpy.test('10')"


And this is the output:

     Running unit tests for numpy
     NumPy version 1.4.1
     NumPy is installed in 
/usr/local/Cellar/python/2.7/lib/python2.7/site-packages/numpy
     Python version 2.7 (r27:82500, Jul 18 2010, 06:55:14) [GCC 4.2.1 
(Apple Inc. build 5664)]
     nose version 0.11.4
 
...................................................................................................................................Segmentation 
fault

Regards,
Celil


More information about the NumPy-Discussion mailing list